/* GLOBAL STYLES */
:root {
  --light: #eee;
  --light-hover: rgb(197, 197, 197);
  --dark: #212121;
  --primary: rgb(255, 187, 0);
  --lime: #2b2b2b;
  --ln: #2867b2;
  --tw: #1da1f2;
  --fb: #4267b2;
  --g: #db4437;
  --success: rgb(41, 155, 51);
}

* {
  box-sizing: border-box;
}

html,
body {
  width: 100%;
  overflow-x: hidden;
  font-size: 16px;
  font-family: Arial, Helvetica, sans-serif;
  margin: 0;
  padding: 0;
}
body {
  height: 100vh;
  padding-top: 4rem;
  overflow-y: hidden;
}
#root {
  height: 100%;
  overflow-y: auto;
}
:target::before {
  content: "";
  display: block;
  height: 4rem;
  margin: -4rem 0 0; /* negative fixed header height */
}
.hero:target::before {
  content: "";
  display: block;
  height: 8rem;
  margin-top: -4rem;
}

button:active {
  border-style: none;
}

ul {
  list-style-type: none;
  padding: 0;
  margin: 0;
}
a {
  text-decoration: none;
  color: var(--dark);
}
a:hover {
  color: var(--light-hover);
}
h1 {
  margin: 3rem 0;
}
h2 {
  margin: 2rem 0;
}
h3 {
  margin: 1.5rem 0;
}
h4 {
  margin: 1rem 0;
}
h5,
h6 {
  margin: 0 0;
}
p {
  margin: 0 0 1rem 0;
}

/* POSITIONING */

.d-none {
  display: none;
}
.flex {
  display: flex;
}
.flex-column {
  flex-direction: column;
}
.align-items-center {
  align-items: center;
}
.align-items-start {
  align-items: start;
}
.flex-wrap {
  flex-wrap: wrap;
}
.justify-space-between {
  justify-content: space-between;
}
.justify-content-center {
  justify-content: center;
}
.flex-grow-1 {
  flex-grow: 1;
}
.grid {
  display: grid;
}
.grid-col-3 {
  grid-template-columns: repeat(3, 1fr);
}
.grid-row-1 {
  grid-template-rows: 1fr;
}
.grid-gap--1-5 {
  grid-row-gap: 1.5rem;
  grid-column-gap: 1.5rem;
}
.grid-col-gap--1-5 {
  grid-column-gap: 1.5rem;
}
.grid-row-gap--3 {
  grid-row-gap: 3rem;
}
.grid-justify--center {
  justify-items: center;
}
.grid-align-items--center {
  align-items: center;
}

/* TEXT STYLES */
.text-secondary {
  color: var(--light-hover);
}
.text-light {
  color: var(--light) !important;
}
.text-primary {
  color: var(--primary);
}
.text-lime {
  color: var(--lime);
}
.text-g {
  color: var(--g);
}
.text-center {
  text-align: center;
}
.text-right {
  text-align: right;
}
h1 {
  font-size: 4rem;
}
h2 {
  font-size: 3rem;
}
h3 {
  font-size: 2.5rem;
}
h4 {
  font-size: 2rem;
}
h5 {
  font-size: 1.5rem;
}
h6 {
  font-size: 1rem;
}

/* SPACING */
.m-3 {
  margin: 3rem !important;
}
.m-5 {
  margin: 5rem !important;
}
.m-0 {
  margin: 0 0 0 0 !important;
}
.m-1 {
  margin: 1rem !important;
}
.mt-0 {
  margin-top: 0;
}
.mt-5 {
  margin-top: 5rem !important;
}
.mt-3 {
  margin-top: 3rem !important;
}
.mb-5 {
  margin-bottom: 5rem !important;
}
.mr-3 {
  margin-right: 3rem !important;
}
.mr-2 {
  margin-right: 2rem !important;
}
.mr-1 {
  margin-right: 1rem !important;
}
.mb-3 {
  margin-bottom: 3rem !important;
}
.mb-2,
.form-group {
  margin-bottom: 2rem !important;
}
.mb-0 {
  margin-bottom: 0;
}
.mb-1-5 {
  margin-bottom: 1.5rem !important;
}
.mb-3 {
  margin-bottom: 3rem !important;
}
.pr-0 {
  padding-right: 0 !important;
}
.pl-0 {
  padding-left: 0 !important;
}
.p-1 {
  padding: 1rem;
}
.p-2 {
  padding: 2rem !important;
}
.pl-3 {
  padding-left: 3rem;
}
.pr-3 {
  padding-right: 3rem;
}
.pb-1 {
  padding-bottom: 1rem !important;
}
.pt-1 {
  padding-top: 1rem !important;
}
.pb-2 {
  padding-bottom: 2rem !important;
}
.pl-2 {
  padding-left: 2rem !important;
}
.pr-2 {
  padding-right: 2rem !important;
}

/* SHADOWS */

.shadow-1 {
  /* box-shadow: 0 0.1rem 0.3rem rgba(0, 0, 0, 0.6); */
  box-shadow: 0px 0.1rem 0.5rem 0.1rem #00000070;
}

/* GENERAL CLASSES */
.bg-success {
  background-color: var(--success) !important;
}
.bg-lime {
  background-color: var(--lime);
}
.bg-dark {
  background-color: var(--dark) !important;
}
.bg-g {
  background-color: var(--g) !important;
}
.bg-fb {
  background-color: var(--fb);
}
.bg-tw {
  background-color: var(--tw);
}
.bg-ln {
  background-color: var(--ln);
}
.section-spacer {
  padding: 3rem 0;
}
.container {
  max-width: 1170px;
  margin: 0 auto;
}
.w-100 {
  width: 100%;
}
.profile-picture-fit {
  width: 100%;
  object-fit: cover;
  object-position: center;
}
.min-h-100 {
  min-height: 100%;
}
.h-100 {
  height: 100%;
}

.fab-position {
  position: absolute !important;
  bottom: 2rem;
  right: 3rem;
}

/* MOBILE VIEW */
@media only screen and (max-width: 600px) {
  html,
  body {
    font-size: 14px;
  }
  .h-xs-auto {
    height: auto;
  }
  .h-xs-0 {
    height: 0;
  }
  .grid-col-3 {
    grid-template-columns: repeat(1, 1fr);
  }
}
